/*=============================================================
  footer Setting
=============================================================*/
.c-footer__container {
  background: url(/assets/img/footer-bg.jpg) no-repeat;
  background-size: cover;
  background-position: 50% 50%;
  padding: 40px 0;
}
.c-footer__inner {
  max-width: 1280px;
  margin: 0 auto;
  padding: 0 5%;
}
.c-footer__nav {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(185px, 200px));
  gap: 30px 3%;
  justify-content: space-between;
}
.c-footer__nav-title,
.c-footer__nav-link,
.c-footer__sub-link,
.c-footer__logo-text,
.c-footer__copyright {
  color: #fff;
}
.c-footer__nav-item {
  margin: 0 0 40px;
}
.c-footer__nav-title {
  font-size: 18px;
  font-weight: var(--fontMedium);
}
.c-footer__nav-link,
.c-footer__sub-link {
  background-image: linear-gradient(#fff, #fff);
  background-size: 0% 1px;
  background-repeat: no-repeat;
  background-position: left bottom;
  transition: background-size 0.3s;
}
@media (hover: hover) {
  .c-footer__nav-link:hover,
  .c-footer__sub-link:hover {
    color: #fff;
    background-size: 100% 1px;
  }
}
.c-footer__sub {
  margin-top: 15px;
}
.c-footer__sub-item .c-link {
  font-weight: var(--fontNormal);
}
.c-footer__sub-item + .c-footer__sub-item {
  margin-top: 5px;
}
.c-footer__nav-item--inquiry .c-footer__inquiry-link {
  font-size: 18px;
  line-height: 1.5;
  display: block;
  color: #fff;
  border: 1px solid #fff;
  text-align: center;
  padding: 4px 10px 6px;
  transition: all var(--transition);
}
.c-footer__nav-item--inquiry .c-footer__inquiry-link:hover {
  background: #fff;
  color: var(--keyColor);
}
.c-footer__logo {
  margin-left: -2%;
}
.c-footer__logo img {
  width: auto;
}
.c-footer__logo-text {
  font-size: 18px;
  font-weight: var(--fontBold);
  margin-top: 5px;
}
.c-footer__bottom {
  background: #0d74d4;
  border-top: 1px solid #fff;
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: center;
  padding: 15px 2%;
}
.c-footer__bottom-list {
  display: flex;
  gap: 30px;
}
.c-footer__bottom-item {
  margin-top: 0;
}
.c-footer__bottom-item .c-link {
  font-size: 15px;
  font-weight: var(--fontMedium);
}
.c-footer__copyright {
  font-size: 12px;
}

@media (min-width: 1280px) {
  .c-footer__logo {
    margin-top: -130px;
  }
}

/*=============================================================
  page-top
=============================================================*/
#page-top {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 2;
  opacity: 0;
  visibility: hidden;
  transition:
    opacity var(--transition),
    visibility var(--transition);
}
#page-top.is-show {
  opacity: 1;
  visibility: visible;
}
#page-top a {
  background: url(../img/page-top.svg) no-repeat;
  background-size: cover;
  width: 63px;
  height: 63px;
  transform: rotate(-90deg);
  display: block;
  transition: background var(--transition);
}
#page-top a:hover {
  background: url(../img/page-top_hover.svg) no-repeat;
  background-size: cover;
}

/*=============================================================
  cookie
=============================================================*/
#cookie {
  background: rgba(18, 44, 72, 0.8);
  padding: 20px 0;
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: 99999;
  width: 100%;
  opacity: 0;
  visibility: hidden;
  transform: translateY(100%);
  transition:
    opacity var(--transition),
    transform var(--transition),
    visibility var(--transition);
}
#cookie.is-show {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}
#cookie .l-container {
  max-width: 1920px;
  width: 95%;
  padding: 0;
  display: grid;
  grid-template-columns: 1fr 180px;
  gap: 20px 4%;
  margin: 0 auto;
}
#cookie p,
#cookie .c-link--line {
  color: #fff;
  font-size: 14px;
}
#cookie .c-link--line:hover {
  color: var(--keyColor);
}
#cookie .c-list-button {
  margin: 0;
}
#cookie .c-link-button {
  max-width: 180px;
  min-width: 180px;
  box-sizing: border-box;
  text-align: left;
}

/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 Smartphones
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
@media (max-width: 767px) {
  .c-footer {
    margin-top: -1px;
    border-top: 1px solid #eaf2fd;
    overflow: hidden;
  }
  .c-footer__inner {
    padding: 0;
  }
  .c-footer__container {
    padding: 0;
    background: none;
    position: relative;
  }
  .c-footer__container::before {
    content: "";
    background: linear-gradient(to bottom, #00a0e9 0%, #0d74d4 100%);
    background-size: contain;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -2;
  }
  .c-footer__container::after {
    content: "";
    width: 587px;
    height: 524px;
    position: absolute;
    top: 0;
    right: -205px;
    z-index: -1;
    aspect-ratio: 1.1547;
    background: linear-gradient(to bottom, #00a0e9 0%, #0d74d4 100%);
    clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);
  }
  .c-footer__nav {
    display: block;
  }
  .c-footer__nav-title,
  .c-footer__nav-link,
  .c-footer__sub-link {
    color: var(--textKeyColor);
  }
  .c-footer__nav-item:first-child {
    margin-bottom: 0;
  }
  .c-footer__nav-item {
    border-bottom: 1px solid #eaf2fd;
  }
  .c-footer__nav-item {
    display: block;
    font-size: 18px;
    margin: 0;
  }
  .c-footer__nav-title {
    position: relative;
    color: #fff;
  }
  .c-footer__nav-link {
    padding: 16px;
    display: block;
  }
  .c-footer__nav-item.has-subnav {
    padding: 16px 16px 0px 16px;
  }
  .c-footer__nav-item.has-subnav .c-footer__nav-title::before,
  .c-footer__nav-item.has-subnav .c-footer__nav-title::after {
    content: "";
    width: 13.5px;
    height: 2px;
    background: #fff;
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateX(-50%);
  }
  .c-footer__nav-item.has-subnav .c-footer__nav-title::after {
    transform: rotate(90deg);
    right: 17px;
    transition: transform var(--transition);
  }
  .c-footer__sub {
    margin-top: 10px;
    padding: 0 10px 10px 10px;
  }
  .c-footer__sub-item {
    margin: 0;
  }
  .c-footer__sub-link {
    position: relative;
    display: block;
    padding: 10px 0;
    color: #fff;
  }
  .c-footer__sub-link::after {
    content: "";
    background: url(/assets/img/icon-arrow-w.svg) no-repeat;
    background-size: cover;
    width: 17px;
    height: 17px;
    display: inline-block;
    position: relative;
    top: 3px;
    right: -8px;
    transition: transform var(--transition);
  }
  .c-footer__sub {
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    transform: translateX(0) translateY(0);
    transition:
      max-height var(--transition) -0.3s,
      opacity 0.2s ease;
  }
  .c-footer__nav-item.is-open .c-footer__sub {
    max-height: 500px;
    opacity: 1;
    transition:
      max-height var(--transition),
      opacity 0.2s ease;
  }
  .c-footer__nav-item.is-open .c-footer__nav-title::after {
    transform: rotate(180deg);
  }
  .c-footer__nav-item--inquiry {
    position: absolute;
    left: 50%;
    transform: translateX(-50%) translateY(20px);
    margin: 0;
    width: 100%;
    max-width: 340px;
    border-bottom: none;
  }
  .c-footer__nav-item--inquiry .c-footer__inquiry-link {
    border: 1px solid #fff;
    display: block;
    color: #fff;
    padding: 14px 20px;
    text-align: center;
    font-size: 18px;
    font-weight: var(--fontMedium);
  }
  .c-footer__logo {
    padding: 100px 5% 30px;
    margin-top: 40px;
  }
  .c-footer__logo img {
    width: 100px;
  }
  .c-footer__logo-text {
    font-size: 12px;
  }
  .c-footer__bottom {
    display: block;
  }
  .c-footer__bottom-list {
    justify-content: center;
  }
  .c-footer__bottom-item .c-footer__nav-link {
    color: #fff;
    font-size: 12px;
  }
  .c-footer__copyright {
    font-size: 12px;
    text-align: center;
    margin-top: 15px;
  }

  /*=============================================================
    page-top
  =============================================================*/
  #page-top {
    bottom: 10px;
    right: 10px;
  }
  #page-top a {
    width: 45px;
    height: 45px;
  }

  /*=============================================================
    cookie
  =============================================================*/
  #cookie .l-container {
    grid-template-columns: 1fr;
  }
}
